// CLOCK MODIFIER: EXAMPLE ANIMATION 1
// ***********************************
// This animation shows how the Automatic Clock Modifier macros
// can be used to modify objects in various ways.

#include "AutoClck.mcr"

// CAMERA AND LIGHTS
   camera {
      location From (.25, <-5, -1, -10>) To_Using (.75, <5, 1, -8>, "S-Curve")
      look_at <0, 0, 0>}

   light_source {<50, 30, -150> rgb .6}

   light_source {<-50, 150, -30>
      rgb From (0, <1, 1, .4>) Using ("Triangle", 1, 10, "") To (1, <.3, .6, 1>)
      }

// BACKGROUND
   plane {z, 10 pigment {checker rgb .4, rgb .6 scale 2} hollow}

// ANIMATED OBJECTS
   superellipsoid {<
      From (0, .1) To_Using (.5, 1, "Accelerate") To_Using (1, .3, "Decelerate"),
      From (.2, 1.5) To_Using (.6, .1, "S-Curve") To_Using (1, 1, "Decelerate")>

      texture {
         Texture_From (0, texture {pigment {rgb <.5, .5, .55>} finish {reflection .6 phong .5 phong_size 110}})
         Texture_To (1, texture {
            pigment {wrinkles color_map {[0 rgb <1, 1, 0>] [1 rgb <1, 0, 1>]} scale .5}
            normal {bumps .2 scale .1}})
            }
         }

      scale From (0, 1) Using ("S-Curve", 1, 1, "") To (.35, <2, .5, 1>) To (.8, <.5, 1.5, 1.5>) To (1, 1)
      }

   sphere {<0, 0, 0>, 1
      pigment {rgb <1, 0, 0>} finish {phong .6 phong_size 15}
      translate From (0, <6, 0, 0>) Using ("Oscillate", 1.5, 13, "Decelerate") To (.9, <6, 5, 0>, )

      rotate From (0, 0) Using ("Decelerate", 1.5, 1, "") To (1, y * 360)
      }
